Involute and cycloidal introduction

Involute and Cycloidal Gear Generator

This application is used as an aid to the design of simple spur gears using either involute or cycloidal tooth form. It shows a preview of the tooth form or of the whole wheel. It generates a simple DXF file which can be imported into a CAD package. It also generates an ISO cnc mill file from which a part may be manufactured.

The program will interact by regenerating whenever you alter a design parameter. Values which have to be typed will be actioned when you press return. Check boxes and radio buttons will cause a regeneration immediately. Each time the wheel is regenerated the GCode file and the DXF file will be rewritten.


Minimum system requirements

Your computer needs to be running Windows 98, 2000, 2003, XP Home or XP Pro.

There should be no problems with any machine manufactured within the last four years. Your biggest enemies are viruses, spybots and trojans. These are malicious programs which infect a computer and consume a proportion of its resources in order to gather information about you, or to bombard someone's web site under remote control. Apart from this consideration, a Pentium 2 or above, 128Mb of RAM or more, and a fast graphics card will ensure pleasing results. Needless to say, the fewer other tasks that the computer has to attend to the better.

A slower sytem will simply take longer to regenerate the preview window, but it will still do the job


Design file

You can save and load your design as a text file. By careful choice of file names you will be able to build an archive of your designs.


GCode file

The path and filename of the ISO GCode file. If this field is blank, then no GCode file will be generated.

The coordinate origin is the top surface of the centre of the wheel.


DXF file

The path and filename of the DXF file. If this field is blank, then no DXF file will be generated.

The coordinate origin is the top surface of the centre of the wheel.


Supplementary holes

You can bore up to twelve holes at any locations within your design. A hole will be bored at the X and Y coordinates specified for any hole with a specified diameter greater than or equal to that of the cutter.

There is a calculator within the dialog box which simplifies the placing of holes at regular intervals around a circle.


Sequence of operations

The default sequence of operations is:

  • Pilot hole
  • Teeth
  • Spokes
  • Bore centre hole
  • Holes, supplementary

The sequence is presented as a list. To change the order, select an item in the list and move it up or down using the arrow buttons.

In the generated code you can insert a pause (M00) before each operation by checking the pause box.


Number of teeth

The number of teeth of the generated gear. This, in conjunction with the module, determines the pitch diameter of the wheel.

Pitch diameter = Module * number of teeth.


Number of teeth

Module

The mm module of the generated gear. This, in conjunction with the number of teeth, determines the pitch diameter of the wheel.

Pitch diameter = Module * number of teeth.

The module is the reciprocal of the diametric pitch having allowed for any change of units. Hence the mm module is:

Mo = 25.4 / DP
(where DP is the inch diametric pitch)


Cutter diameter

The cutter diameter is the diameter of the vertical milling cutter (or the kerf size for EDM) for which compensation allowance will be made. Since the wheel will be manufactured by tracing around the teeth, it follows that the tool path must be displaced by a distance equal to the radius of the cutter so that the cut edge will follow the design.

By setting the cutter diameter to zero, the path traced is the actual outline of the gear wheel.

The maximum usable cutter size should be determined by inspection. This will influence the diameter of the fillet at the root of the teeth. If the cutter is so large that it will affect the working tooth profile that a warning message will be displayed.

Both the GCode file and the DXF file will contain the toolpath, that is the path followed by the centre of the tool. It follows that to generate a DXF of the actual tooth form, you must first set the cutter diameter to zero.

Remember that both files will be overwritten on subsequent regenerations.


Bottom Z coordinate

The coordinate system is chosen so that Z equals zero corresponds with the upper surface of the billet. The lower extreme of the cut should be specified as a negative Z.

Often the bottom of the cut will be chosen to lie slightly below the bottom face of the billet. In this case thought must be given to how the job will be secured to avoid displacement as penetration occurs.


Feed rate

This control sets the horizontal feed rate which is embedded in the milling GCode file. It is expressed in mm/minute.


Passes

The maximum Z depth of cut will be determined by machinist's considerations such as the material, the diameter of the cutter, whether coolant is applied etc.

The number of passes determines how many equal incremental Z feeds will be used to reach the final Z depth. For example, a bottom Z of -4.0 mm, reached in eight passes, will invoke a cut of 0.5 mm per pass.

Note that the value for passes is only incorporated in the GCode file. The DXF file is always single pass.


Pilot hole

You can choose to have a pilot hole formed at the centre of the wheel. This is a simple vertical plunge of the cutter, but it is pecked using the number of passes selected in order to clear the swarf from the flutes of the cutter.


Number of Spokes

If you would like your wheel to have spokes (crossed out in clockmaking terminology), specify the number of spokes here. A value of zero disables the spokes function.


Spoke thickness

Specify the thickness of the spokes at their innermost end. You may also apply a taper.


Hub diameter

In hub blend mode (grandfather clock), this value determines the diameter at which the straight edge of the spoke transitions into an arc of a circle. When not in blend mode, the hub is fashioned in the style of an English regulator. The control will specify the diameter of the hub from which the spokes radiate outwards.


Spoke taper

Specify the taper of the spokes. A value of 1.0 generates a parallel spoke. A value of 0.5 will make the thickness of the spoke at the rim equal to one half of its thickness at the hub. A value of 1.5 will make the spoke thicker at the rim by half as much again compared to its thickness at the hub.


Rim thickness

This is the thickness of the rim of the wheel, from the inside edge of the rim to the bottom of the root of the teeth.


Pre-gash

In order to clear some space for the cutter to accurately form the teeth it might be considered prudent to perform a pre-gash. This process will clear a circular trough outside of the tip diameter of the wheel. It will then cut vee notches, and radial slots, into the gaps between the teeth.As well as reducing the stresses on the cutter for final tooth shaping, it also provides a reservoir for coolant.

NOTE. when the tooth form is either dead-beat or anchor, the pregash facility only cuts the peripheral ring.


Half wheel

If the diameter of the wheel exceeds the Y travel of your CNC mill, you might consider machining the wheel in two halves. With this option checked, the last tooth to be formed may be used as an index. After milling you will need to rotate the blank so that the last tooth generated now occupies the precise position of the first tooth generated. Then you run the file again.


Bore

This edit field allows you to enter the diameter of a hole to be bored from the hub of the externally toothed wheel. This process will comply with the Z depth and number of passes chosen. A value of zero will disable this option.

If you are designing an internal spur gear, the bore hole setting may be used to trim the outside of the gear to size


Auto-stop

Generate button

This button will force a regeneration of the gear wheel.

The GCode and the DXF files will also be rewritten.

The design will regenerate whenever a check box is clicked, and when you press the enter key.


Tooth form

Tooth form, Involute - Cycloidal - Deadbeat - Anchor - Ratchet

These radio buttons are for the selection of the tooth form and are mutually exclusive.

When a selection is made, those controls which are not relevent to the selected form will be disabled and shown in gray.

Cycloidal form

When the cycloidal form is selected, a gear is generated which is generally in accordance with BS978. The addenda of cycloidal gears are not usually cycloidal; this would require extremely precise depthing. Instead, the addenda are circular arcs which interesect at the tip. However, in order to calculate the radius of the addenda and the tip radius of the wheel, a true cycloid is used for the computation. This computation is very dependant on the number of leaves on the pinion which is destined to mate with the wheel. The flanks of the cycloidal gear teeth are radial cuts. The shape of the root is determined by the diameter of the cutter chosen.

Involute form

The involute form of gear needs more parameters to be specified. The pressure angle is the slope of the flank of the tooth as it crosses the pitch circle. Popular values are 20 degrees and less commonly 14.5 degrees. The addendum height and dedendum depth are numerically equal to the module for a full depth gear, with the proviso that a clearance is added to the dedendum, whose value is often 0.157 times the module but is sometimes 0.250 module.

The tooth form may be modified in two different ways. 'Profile shift' (correction)changes the working part of the involute profile. It is moved outwards for positive correction and inwards for negative. A common approach is to apply equal and opposite correction, positive for the pinion and negative for the wheel, in order to reduce the possibility of interference at the roots of the pinion teeth. Alternatively the centre distances may be adjusted to allow non-cancelling compensation of wheel and pinion.

A second approach is to reduce the addendum and the dedendum of both wheel and pinion. This produces a 'stub gear' when the 'depth factor' is less than unity. A full depth form has a depth factor of one.

Deadbeat escape wheel

This tooth profile generates an escape wheel suitable for the dead-beat (Graham) escapement. The tooth is constructed of straight line segments. It is characterised by its undercut, its back-slope, its witness and the ratio of the depth of cut to the tip diameter. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Undercut 6.0 degrees
  • Backslope 20.0 degrees (included angle 14 degrees).
  • Root factor 0.8
  • Witness, the flat tip of the tooth, 0.1mm

You can fine tune the profile to exactly meet your requirements. Please make very small incremental adjustments to the parameters. It is possible to generate some bizzare wheels with incompatible values!

Anchor or Recoil escape wheel

This tooth profile generates an escape wheel suitable for the recoil escapement. The tooth is constructed of two straight line segments and one arc. It is characterised by its undercut, its witness and the ratio of the depth of cut to the tip diameter. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Undercut 0.0 degrees. Can be slightly positive or negative
  • Root factor 0.77
  • Witness, the flat tip of the tooth, 0.2mm

Ratchet wheel

This tooth profile generates a ratchet wheel. The tooth is constructed of two straight line segments and one arc. It is characterised by its witness and the ratio of the depth of cut to the tip diameter. The arc which imparts a slight curve to the teeth has a radius of curvature equal to the tip radius of the wheel. Typical values are:

  • Number of teeth 30
  • Module 1.0 (gives a tip diameter of 30mm, D = N x m)
  • Root factor 0.9
  • Witness, the flat tip of the tooth, 0.1mm or even 0 mm

Note. You can make a smooth round pulley such as a weight pulley by setting the root to tip ratio of a ratchet wheel to one.

You can fine tune the profile to exactly meet your requirements. Please make very small incremental adjustments to the parameters. It is possible to generate some bizzare wheels with incompatible values!


Pinion teeth

Mating pinion teeth

The design of a cycloidal wheel is affected by the number of teeth on the pinion with which it will mate. The extent and shape of the addendum is determined by this value. (British Standard BS978 pt2)

If this value is set to zero, then the wheel design changes to that of a horological pinion.


Pressure angle

The definition of a pressure angle is the slope of the flank of the tooth relative to a radial line drawn toward the centre of the wheel. Since this value changes with radius, the pressure angle is quoted at the pitch circle radius.

The pressure angle fundamentally determines the form of the involute. A higher pressure angle produces teeth which are more pointed than a smaller pressure angle. A small pressure angle pinion is more prone to need undercut in order to clear the tips of a mating wheel or rack, which might need profile shift to correct. The most popular pressure angle is 20 degrees.


Root clearance

Involute

The default root clearance is 0.157. The full depth involute profile generates teeth which extend outside of the pitch circle (the addendum) and inside of the pitch circle (the dedendum) by similar amounts numerically equal to the module. However, in order to provide a working clearance, the dedendum is made deeper by a constant proportion of the module. So the actual depth of the cut between the teeth is typically 1.157 times the module. This value can be varied for different applications. Sometimes a clearance 0.250 is used.

In the case of an internal spur gear, the clearance is applied at the outermost radius of the tooth space.

Cycloidal

For wheels the default root clearance is zero. By default the dedendum is numerically equal to the addendum. This value can be increased by entering a non-zero positive value and decreased by entering a negative value. The clearance value is multiplied by the module and added to the addendum value to give the dedendum.

For pinions, the dedendum is a function of the number of leaves. A pinion with six leaves or less has a dedendum of 1.75, seven has 1.85, eight and nine have 1.9, ten has 2.05 and above ten have 2.1.


Profile shift, tooth correction

Depending on the pressure angle and the number of teeth on an involute gear, a situation arises where the tips of the teeth on the larger wheel or rack will scrape the roots of the teeth of the pinion. This is called interference and for a twenty degree pressure angle full depth pinion it becomes apparent when the tooth count is less than nineteen.

When a gear is generated using a plane or a hob, the cutter has the profile of a rack. The tooth form is a trapezoid which in principle has a flank angle equal to the pressure angle. The teeth extend equally above and below the pitch line (which corresponds with the pitch circle of the wheel) by one module.

The gear is formed by moving the generating rack bodily back and forth, normal to the plane of the wheel. The wheel is then advanced slightly, and the rack is moved tangentially so that the pitch circle and the pitch line do not slip. The cut is repeated.

A situation can be envisaged where the corner of the rack addendum will cut a trochoidal fillet from the root of the tooth, although it is the straight flank of the rack which forms the involute. This will weaken the wheel teeth. It can be avoided by cutting the wheel with the rack or hob moved slightly away from the wheel. If the adjustment is reversed when generating the mating wheel then the depthing will be substantially unchanged. But the working part of the involute has been moved away from the centre of the smaller wheel, and toward the centre of the larger one.

In the case of a profile shifted involute wheel, the tooth ratio is applied at the extended pitch radius. For example, in the case of a wheel with a module of 3 and a profile shift of +0.5, the extended pitch radius is 1.5 mm larger than the pitch radius deduced from the module times the number of teeth.


Depth factor

The default value for the depth factor is 1.0. This produces a standard, full depth, involute tooth form where the addendum is equal to the module and the dedendum is equal to:

(1+Clearance) x Module

Sometimes it is useful to make a gear system where the teeth are shortened. In effect the addendum, dedendum and clearance are calculated as if the module were less than the actual module. These are called stub tooth gears. For example, a module of 2.0, with a depth factor of 0.8, will create addenda, dedenda and clearance as though the module were 1.6.


Generated root clearance

This check box causes the program to generate the path followed by the (sharp) corner of a rack as it engages with the gear being designed. This will generate the exact form of root clearance needed at the expense of increased tool path complexity.

When the box is not checked, the dedendum will be a simple radial cut, with a root fillet determined only by the diameter of the cutter. For most situations this is adequate, and for a cutter which is large in terms of the module it may be the only practical option.

For some situations, particulary with a low count pinion engaging a high count wheel or a rack, a check on the root clearance is advisable. You can then choose either to cut it that way, or to apply correction.

There is no involute action at a radius which is less than that of the base circle of an involute gear. The base circle is the conceptual circle around which a cord could be wrapped. As the cord is unwrapped, a fixed point on the cord will trace the involute flank of a tooth. The radius of the base circle is related to the pitch circle radius and the pressure angle:

Base radius = Pitch radius x cos(Pressure angle)

If the dedendum is no deeper than the base radius, then interference will not occur.

Depending on the pressure angle and the number of teeth on an involute gear, a situation arises where the tips of the teeth on the larger wheel or rack will scrape the roots of the teeth of the pinion. This is called interference and for a twenty degree pressure angle full depth pinion it becomes apparent if the tooth count is less than nineteen.

When a gear is generated using a plane or a hob, the cutter has the profile of a rack. The tooth form is a trapezoid which in principle has a flank angle equal to the pressure angle. The teeth extend equally above and below the pitch line (which corresponds with the pitch circle of the wheel) by one module.

The gear is formed by moving the generating rack bodily back and forth, normal to the plane of the wheel. The wheel is then advanced slightly, and the rack is moved tangentially so that the pitch circle and the pitch line do not slip. The cut is repeated.

A situation can be envisaged where the corner of the rack addendum will cut a trochoidal fillet from the root of the tooth, although it is the straight flank of the rack which forms the involute. This will weaken the wheel teeth.

The root profile generated by the program is that path which would be cut by a sharp cornered rack, with its addendum calculated from the module, depth factor and profile shift values, and with the tip extended by the specified clearance.


Internal spur gear

This check box switches the program to design an internally toothed spur gear. This type of gear might be used to make an epicyclic gear train, or a compact non direction reversing reduction gear.

In principle, the profile of the tooth space of an internal gear is similar to the tooth form of an external gear. The clearance moves to the outside, and the definition of the tooth addendum is now at the innermost radius. The cutter path is adjusted to remove the kerf from the waste area.

The centre hole boring facility is altered to allow you to trim the outside of the ring gear.


Back-slope

Specify the angle in degrees for the trailing edges of the teeth of a dead-beat escape wheel. A typical value is 20 degrees.


Undercut

Specify the angle in degrees for the leading edge of the teeth of a dead-beat escape wheel. A typical value is in the range 6 to 10 degrees. The value is also used for the trailing edge of a recoil escape wheel. A common value for this is 0.


Witness

The tips of the teeth of an escape wheel cannot come to a sharp point because the radius would not be defined. They usually end in a small flat land called a witness. You can specify the size of this flat. A typical value is 0.1mm.


Root tip ratio

Root to tip ratio

When designing an escape wheel you can control the depth to which the teeth are cut. This is specified as the ratio of the root diameter to the tip diameter. A typical value is around 0.8.


Tooth pitch ratio

Tooth to pitch ratio

The default value for the tooth to pitch ratio is 0.5. This means that, at the pitch circle radius, the width of the tooth and the width of the gap between the teeth is equal. It would be unusual to deviate from this, but the option is available should you so wish. So if the ratio is set to 0.4, then the tooth will be 0.4 times the circular pitch and the gap will be 0.6 times the circular pitch.

A special situation exists in the case of cycloidal horological pinions. They have a tooth to pitch ratio which is fixed at 1/3 for pinions of nine leaves and less, and 2/5 for ten or more. This is in accordance with British Standard BS978 and Swiss standard NHS56702 .

In the case of a profile shifted involute wheel, the tooth ratio is applied at the extended pitch radius. For example, in the case of a wheel with a module of 3 and a profile shift of +0.5, the extended pitch radius is 1.5 mm larger than the pitch radius deduced from the module times the number of teeth.


Resolution

The resolution of the generated curves may be controlled by specifying the number of points used, both in the cycloidal addendum or involute flank, and in the generated root clearance profile. The actual curves are milled using straight line segments. The trade-off is between smoothness, and complexity of the file.


Cutter datum

The cutter datum is the position of the cutter at the start of the program. The position is expressed in a coordinate system whose origin is at the top surface of the centre of the wheel. Wherever the datum is specified, the cutter will be returned there at the end of the job. Note that this behavior is highly machine dependant and will need to be verified before going live.

This information is used to generate a G92 X.. Y.. Z.. code. If all three axes are set to zero, it generates a G90 code.


Z clearance

The clearances specify by how far the cutter will clear the top surface of the billet when undergoing a rapid traverse. There are two clearances specified. The surface clearance is for general moving about within the cutting area. The fixture clearance is for moves which traverse the central area of the wheel where it is probable that there will be fixtures. It is also used in moving from and to the datum point.


Preview settings

The preview settings are:

  • Annotation - Display some useful numerical data
  • Zoom - Show either one tooth or the whole wheel
  • Pitch circle - Show the location of the pitch circle
  • Base circle - Show the location of the involute base circle

They have no effect on the contents of the files.

Note that in the case of a profile shifted involute gear, two pitch circles will be shown. The additional one is the 'extended pitch circle'.


(No Help Available)

No help is available for this message box.


(status bar)

The status bar is displayed at the bottom of the main window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


(toolbar)

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools.

To hide or display the toolbar, click Toolbar from the View menu.


Annotation

Place design notes on the preview drawing.


Base Circle

Toggle the visibility of a dotted circle, indicating the location of base circle of an involute gear.


(About command (Help menu))

Use this command to display the copyright notice and version number of your copy of this program.


(File Exit command)

Exit command (File menu)

Use this command to end your session. You can also use the Close command on the application Control menu. You will be prompted to save designs with unsaved changes.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of this program. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the program window, such as another toolbar button. The help topic will be shown for the item you clicked.


Most recently used command

Most recently used command (File menu)

Use the filenames listed at the bottom of the File menu to re-open the last four documents you closed. Choose the name that corresponds with the document you want to open.


New design

New design (File menu)

Use this command to reset the design filename to *.txt and reset all the design parameters to their default values.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using the program and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands , such as Open design. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


Hub blend

Switch to a crossings style similar to those used in English longcase (grandfather) clocks. When not selected, the style reverts to that of an English regulator, with a definate inner hub.


Measuring units

Toggle between imperial (inch) and metric (mm) units. Note that when you change units, all your existing dimensions are converted. This will inevitably lead to a small rounding error.


NC generation

In this dialog you can control evrything which is concerned with the generation of the NC file. The file may contain remarks, which are to convey information to the operator. The sequence of characters which indicates the beginning of a remark is specified in the edit box "Open rem". Often there will be no need for a character or sequence to terminate a rem, but if required it should be specified in "Close rem". If you want to suppress the output of rems, replace the open rem sequence with an empty string.

You next specify the lateral feed rate, in either inches/minute or mm/minute. This feed rate is used for all cutting traverses except for plunges.

There is an opportunity here to specify the Z feed rate which is only used for plunges.

The cutter datum specifies the assumed position of the cutter when the machining is started. You can use a datum position of your choice, but the top surface of the centre of the wheel is always located at X0,Y0,Z0.

The number of points to plot determine the fineness of the tooth profile, and if you are using a generated root, the root profile also.


Pitch Circle

Toggle the visibility of a dotted circle, indicating the location of the pitch circle of a gear. If profile shift is applied, you will also see the extended pitch circle.


Bore

Reset

Click "Reset" to restore the design to the program default settings. The DXF file and the NC file specifications will not be changed.


Rulers

Toggle the visibility of a pair of rulers, overlaid onto your preview.


Single Tooth

Zooms the preview window so that you can examine a single tooth.


Z Settings

In this dialog you can control verything which is concerned with the Z axis. The depth of cut is specified as the Z coordinate of the bottom of the cut. By definition, since the top surface of the billet is Z=0, the bottom of the cut will have a negative value.

The number of passes causes the total Z depth to be equeally devided amongst the number of passes.

The surface clearance specifies the Z coordinate to be assumed for rapid traverses above the billet. It is assumed that this value will be used when there is no danger of a collision with a fixture.

The fixture clearance specifies the Z coordinate to be assumed for rapid traverses above the billet. This value is assumed when moving form one part of the job to the next, teeth to spokes for example.

The Z feed rate is used only when plunging the cutter.